Bug 194324 - %post in gnome-icon-theme cannot handle themes with spaces.
%post in gnome-icon-theme cannot handle themes with spaces.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 07:08 EDT by Timothy Hinchcliffe
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.14.2-1.fc5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-12 04:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Hinchcliffe 2006-06-07 07:08:51 EDT
Description of problem:
If installing or updating gnome-icon-theme with a theme with a space in the
directory name already installed, an errors such as:
 No theme index file in '/usr/share/icons/Crystal'.
 If you really want to create an icon cache here, use --ignore-theme-index.
is reported.

Version-Release number of selected component (if applicable):
2.14.2-1.fc5.1

How reproducible:
Every time.

Steps to Reproduce:
1. Install a theme such as Crystal Clear (http://linuxcult.com/node/10) for KDE.
2. rpm -e gnome-icon-theme --nodeps
3. yum -y install gnome-icon-theme
  
Actual results:
.
:
Running Transaction
  Installing: gnome-icon-theme             ######################### [1/1]
No theme index file in '/usr/share/icons/Crystal'.
If you really want to create an icon cache here, use --ignore-theme-index.

Installed: gnome-icon-theme.noarch 0:2.14.2-1.fc5.1
Complete!


Expected results:
.
:
Running Transaction
  Installing: gnome-icon-theme             ######################### [1/1]

Installed: gnome-icon-theme.noarch 0:2.14.2-1.fc5.1
Complete!

Additional info:
The %post script reads:
postinstall scriptlet (using /bin/sh):
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet $dir
    fi
  fi
done

The gtk-update-icon-cache line should read:
      /usr/bin/gtk-update-icon-cache --quiet "$dir"

The other lines are already quoted so do not suffer this problem.
Comment 1 Timothy Hinchcliffe 2006-06-07 07:10:17 EDT
The same problem also effects gnome-themes (see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=194323 ).
Comment 2 Timothy Hinchcliffe 2006-06-07 07:20:08 EDT
This problem also effects the redhat-artwork package.
As the problem and maintainer are identical I have not created seperate bug at
this time.

Note You need to log in before you can comment on or make changes to this bug.